DCMTK: FGPlaneOrientationVolume Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGPlaneOrientationVolume Class Reference

Class representing the Plane Orientation (Volume) Functional Group Macro. More...

Inheritance diagram for FGPlaneOrientationVolume:

## Public Member Functions
| FGPlaneOrientationVolume ()
| Constructor, creates empty Plane Orientation (Volume) Functional Group.
virtual | ~FGPlaneOrientationVolume ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Get shared type of this functional group (can be both, per-frame and shared)
virtual void | clearData ()
| Clears all data.
virtual OFCondition | check () const
| Check whether functional group contains valid data.
virtual OFCondition | read (DcmItem &item)
| Read functional group from given item, i.e. read Plane Orientation (Volume) Sequence.
virtual OFCondition | write (DcmItem &item)
| Write functional group to given item, i.e. write Plane Orientation (Volume) Sequence.
virtual OFCondition | getImageOrientationVolume (Float64 &value, const unsigned long pos=0)
| Get Image Orientation Volume.
virtual OFCondition | getImageOrientationVolume (Float64 &rowX, Float64 &rowY, Float64 &rowZ, Float64 &colX, Float64 &colY, Float64 &colZ)
| Retrieve all values of Image Orientation Volume at the same time.
virtual OFCondition | setImageOrientationVolume (const Float64 &rowX, const Float64 &rowY, const Float64 &rowZ, const Float64 &colX, const Float64 &colY, const Float64 &colZ, const OFBool checkValue=OFTrue)
| Set all values of Image Orientation Volume at once.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmFloatingPointDouble | m_ImageOrientationVolume
| Image Orientation (Volume) (FD, VM 6, Required type 1)

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the Plane Orientation (Volume) Functional Group Macro.

It specifies the direction cosines of the first row and the first column of the frame with respect to the Volume Frame of Reference.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGPlaneOrientationVolume::check | ( |  | ) | const
| virtual

Check whether functional group contains valid data.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGPlaneOrientationVolume::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGPlaneOrientationVolume::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getImageOrientationVolume() [1/2]

virtual OFCondition FGPlaneOrientationVolume::getImageOrientationVolume | ( | Float64 & | rowX,
|  | Float64 & | rowY,
|  | Float64 & | rowZ,
|  | Float64 & | colX,
|  | Float64 & | colY,
|  | Float64 & | colZ )
| virtual

Retrieve all values of Image Orientation Volume at the same time.

Parameters

  rowX | Row X Value
  rowY | Row Y Value
  rowZ | Row Z Value
  colX | Column X Value
  colY | Column Y Value
  colZ | Column Z Value

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationVolume() [2/2]

virtual OFCondition FGPlaneOrientationVolume::getImageOrientationVolume | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Image Orientation Volume.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGPlaneOrientationVolume::getSharedType | ( |  | ) | const
| inlinevirtual

Get shared type of this functional group (can be both, per-frame and shared)

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGPlaneOrientationVolume::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from given item, i.e. read Plane Orientation (Volume) Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setImageOrientationVolume()

virtual OFCondition FGPlaneOrientationVolume::setImageOrientationVolume | ( | const Float64 & | rowX,
|  | const Float64 & | rowY,
|  | const Float64 & | rowZ,
|  | const Float64 & | colX,
|  | const Float64 & | colY,
|  | const Float64 & | colZ,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set all values of Image Orientation Volume at once.

Parameters

  rowX | Row X Value
  rowY | Row Y Value
  rowZ | Row Z Value
  colX | Column X Value
  colY | Column Y Value
  colZ | Column Z Value
  checkValue | If OFTrue, values are checked for validity (not implemented yet)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition FGPlaneOrientationVolume::write | ( | DcmItem & | item | ) |
| virtual

Write functional group to given item, i.e. write Plane Orientation (Volume) Sequence.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgplanorvol.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2